﻿/**
* FrameScriptManagerTest by Grant Skinner. November 13, 2007
* Visit www.gskinner.com/blog for documentation, updates and more free code.
*/

package {

	import flash.events.EventDispatcher;
	import flash.display.MovieClip;

	public class FrameScriptManagerTest extends MovieClip {
	// constants:
	// private properties:
		private var fsm:FrameScriptManager;
	
	// public properties:
		
	// constructor:
		public function FrameScriptManagerTest() {
			super();
			fsm = new FrameScriptManager(this);
			fsm.setFrameScript("lbl1",newLbl1Funct);
			fsm.setFrameScript("lbl2",newLbl2Funct);
			
			trace("frame number for label 'lbl1': "+fsm.getFrameNumber("lbl1"));
			
			// other methods (frame parameter is a frame label string, or a frame number):
			// fsm.replaceFrameScript(frame, funct);
			// fsm.revertFrameScript(frame);
			// fsm.getFrameNumber(frame);
			// fsm.callOriginalFrameScript(frame);
			// fsm.getOriginalFrameScript(frame);
			
		}
		
	// public getter/setters:
	// public methods:	
		private function newLbl1Funct():void {
			trace("new lbl1 trace");
		}
		
		private function newLbl2Funct():void {
			trace("new lbl2 trace");
			// note in the experimental version I can call the original frame script:
			fsm.callOriginalFrameScript("lbl2");
		}
	
	// private methods:
	}
}